[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# RecreateWnd

Creates (or recreates) the widgetset class instance for a TWinControl.

## Declaration

Source position: controls.pp line 2741

`procedure RecreateWnd(`
`const AWinControl: TWinControl`
`);`

## Description

This function was originally a member of TWinControl.

From a VCL point of view, that made perfectly sense since the VCL knows when a Win32 widget has to be recreated when properties have changed.

The LCL, however, does not know when properties values are changed. But the widgetset does. To avoid the old VCL behavior, and to provide a central function for use in the widgetset, it has been moved here.